Skip to content
Start here

Delete Smart Tiered Cache setting

client.cache.smartTieredCache.delete(SmartTieredCacheDeleteParams { zone_id } params, RequestOptionsoptions?): SmartTieredCacheDeleteResponse { id, editable, modified_on }
DELETE/zones/{zone_id}/cache/tiered_cache_smart_topology_enable

Smart Tiered Cache dynamically selects the single closest upper tier for each of your website’s origins with no configuration required, using our in-house performance and routing data. Cloudflare collects latency data for each request to an origin, and uses the latency data to determine how well any upper-tier data center is connected with an origin. As a result, Cloudflare can select the data center with the lowest latency to be the upper-tier for an origin.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Write
ParametersExpand Collapse
params: SmartTieredCacheDeleteParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
SmartTieredCacheDeleteResponse { id, editable, modified_on }
id: "tiered_cache_smart_topology_enable"

The identifier of the caching setting.

editable: boolean

Whether the setting is editable.

modified_on?: string | null

Last time this setting was modified.

formatdate-time

Delete Smart Tiered Cache setting

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const smartTieredCache = await client.cache.smartTieredCache.delete({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(smartTieredCache.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "tiered_cache_smart_topology_enable",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "tiered_cache_smart_topology_enable",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z"
  }
}